package com.yihu.hos.http;

import org.junit.Test;

/**
 * @created Airhead 2016/8/25.
 */
public class HttpClientKitTest {

    @Test
    public void use() throws Exception {
        HTTPResponse httpResponse = HttpClientKit.use("http://www.baidu.com").get("http://www.baidu.com");
        if (httpResponse.statusCode==200){
            System.out.println(httpResponse.body);
        }

        HTTPResponse httpResponse2 = HttpClientKit.getHttpClient().get("https://www.baidu.com");
        if (httpResponse.statusCode==200){
            System.out.println(httpResponse.body);
        }
    }

    @Test
    public void addTrustStore() throws Exception {

    }

    @Test
    public void addBasicCredentials() throws Exception {

    }

    @Test
    public void get() throws Exception {

    }

    @Test
    public void get1() throws Exception {

    }

    @Test
    public void get2() throws Exception {

    }

    @Test
    public void post() throws Exception {

    }

    @Test
    public void post1() throws Exception {

    }

    @Test
    public void post2() throws Exception {

    }

    @Test
    public void postFile() throws Exception {

    }

    @Test
    public void postFile1() throws Exception {

    }

    @Test
    public void postFile2() throws Exception {

    }

    @Test
    public void put() throws Exception {

    }

    @Test
    public void put1() throws Exception {

    }

    @Test
    public void put2() throws Exception {

    }

    @Test
    public void delete() throws Exception {

    }

    @Test
    public void delete1() throws Exception {

    }

    @Test
    public void delete2() throws Exception {

    }

    @Test
    public void request() throws Exception {

    }
}